(function () {

  var localStoredName  = 'alerted',
      wrapper          = document.getElementById('alertBanner'),
      closeButton      = document.getElementById('alertBannerClose');

  var checkAlerted = function () {

    var alert_on = localStorage.getItem(localStoredName);

    if ( alert_on == 'true' ) {

      document.body.className = document.body.className.replace(/\balert--enabled\b/,'');
      wrapper.className = wrapper.className.replace(/\bwrapper-alert--enabled\b/,'');
      wrapper.setAttribute('aria-hidden', false);
      localStorage.setItem(localStoredName, 'true');

    }

  };

  closeButton.addEventListener('click', function (event) {

    event.preventDefault();

    var alert_on = localStorage.getItem(localStoredName);

    if ( alert_on == 'true' ) {

      document.body.className += ' alert--enabled';
      wrapper.className += ' wrapper-alert--enabled';
      wrapper.setAttribute('aria-hidden', false);
      localStorage.removeItem(localStoredName);

    } else {

      document.body.className = document.body.className.replace(/\balert--enabled\b/,'');
      wrapper.className = wrapper.className.replace(/\bwrapper-alert--enabled\b/,'');
      wrapper.setAttribute('aria-hidden', true);
      localStorage.setItem(localStoredName, 'true');

    }

  });

  // get alerted preference from localStorage
  checkAlerted();


}());
